<script type="text/javascript">
var pad = "";
var cypherText = "";
var clearText = "";

function generatePad()
{
    for(i=0; i<501; i++)
	{
	    pad += Math.floor(Math.random()*100) + '.';
	}
	
	pad = btoa(pad.slice(0,-1));
	
	document.getElementById('pad').value = pad;
}

function ePad()
{	
    pad = atob(document.getElementById("pad").value);
	message = document.getElementById("message").value;

	pad = pad.split('.');
	messageArray = message.split('');
	
	for(i=0; i<pad.length; i++)
	{
        if(messageArray[i] == undefined) { cypherText += Number(Math.floor(Math.random()*100)+pad[i])+'.'; }
	    else { cypherText += Number(messageArray[i].charCodeAt(0)+pad[i])+'.'; }
	}
	
	alert(cypherText);
	
	cypherText = btoa(cypherText.slice(0,-1));
	
	document.getElementById("decrypted").value = cypherText;
}

function dPad()
{
    pad = atob(document.getElementById("pad").value);
	message = atob(document.getElementById("message").value);
	
	
	pad = pad.split('.');
	messageArray = message.split('.');
	
	for(i=0; i<pad.length; i++)
	{
	    clearText += String.fromCharCode(messageArray[i]-pad[i]);
	}
	
	document.getElementById("decrypted").value = clearText;
}
</script>
<b>Pad</b><br>
<textarea id="pad"></textarea><br><br>

<b>Message / Cypher Text</b><br>
<textarea id="message"></textarea><br><br>


<input type="button" value="Encrypt" onclick="ePad()"> <input type="button" value="Decrypt" onclick="dPad()"> <input type="button" value="Generate Pad" onclick="generatePad()"><br><br>

<b>Output</b><br>
<textarea id="decrypted"></textarea>
